Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.painter
Class PainterPaint<T>

    java.lang.Object
      org.jdesktop.swingx.painter.PainterPaint<T>

All Implemented Interfaces:
  java.awt.Paint, java.awt.Transparency

    public class PainterPaint<T>

extends java.lang.Object
implements java.awt.Paint

Author:
  Karl George Schaefer

Nested Class Summary
`protected static class` | `PainterPaint.PainterPaintContext<T>`

Field Summary

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Constructor Summary
`PainterPaint(Painter<T> painter, T object)`

Method Summary
`java.awt.PaintContext` | `createContext(java.awt.image.ColorModel cm, java.awt.Rectangle deviceBounds, java.awt.geom.Rectangle2D userBounds, java.awt.geom.AffineTransform xform, java.awt.RenderingHints hints)`
`int` | `getTransparency()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PainterPaint

    public PainterPaint(Painter<T> painter,
                        T object)

Method Detail

### createContext

    public java.awt.PaintContext createContext(java.awt.image.ColorModel cm,
                                               java.awt.Rectangle deviceBounds,
                                               java.awt.geom.Rectangle2D userBounds,
                                               java.awt.geom.AffineTransform xform,
                                               java.awt.RenderingHints hints)

  Specified by:
    `createContext` in interface `java.awt.Paint`

### getTransparency

    public int getTransparency()

  Specified by:
    `getTransparency` in interface `java.awt.Transparency`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.